a3470f
From 2278782dddf80611c7305ed982532647e38b5664 Mon Sep 17 00:00:00 2001
a3470f
From: Jiffin Tony Thottan <jthottan@redhat.com>
a3470f
Date: Mon, 16 Oct 2017 14:18:31 +0530
a3470f
Subject: [PATCH 49/74] Revert "packaging: (ganesha) remove glusterfs-ganesha
a3470f
 subpackage and related files)"
a3470f
a3470f
This reverts commit 0cf2963f12a8b540a7042605d8c79f638fdf6cee.
a3470f
a3470f
Change-Id: Id6e7585021bd4dd78a59580cfa4838bdd4e539a0
a3470f
Signed-off-by: Jiffin Tony Thottan <jthottan@redhat.com>
a3470f
---
a3470f
 configure.ac                                       |   3 +
a3470f
 extras/Makefile.am                                 |   2 +-
a3470f
 extras/ganesha/Makefile.am                         |   2 +
a3470f
 extras/ganesha/config/Makefile.am                  |   4 +
a3470f
 extras/ganesha/config/ganesha-ha.conf.sample       |  19 ++++
a3470f
 extras/ganesha/scripts/Makefile.am                 |   4 +
a3470f
 extras/ganesha/scripts/create-export-ganesha.sh    |  91 +++++++++++++++
a3470f
 extras/ganesha/scripts/dbus-send.sh                |  61 +++++++++++
a3470f
 extras/ganesha/scripts/generate-epoch.py           |  48 ++++++++
a3470f
 extras/hook-scripts/start/post/Makefile.am         |   2 +-
a3470f
 extras/hook-scripts/start/post/S31ganesha-start.sh | 122 +++++++++++++++++++++
a3470f
 glusterfs.spec.in                                  |  10 +-
a3470f
 12 files changed, 362 insertions(+), 6 deletions(-)
a3470f
 create mode 100644 extras/ganesha/Makefile.am
a3470f
 create mode 100644 extras/ganesha/config/Makefile.am
a3470f
 create mode 100644 extras/ganesha/config/ganesha-ha.conf.sample
a3470f
 create mode 100644 extras/ganesha/scripts/Makefile.am
a3470f
 create mode 100755 extras/ganesha/scripts/create-export-ganesha.sh
a3470f
 create mode 100755 extras/ganesha/scripts/dbus-send.sh
a3470f
 create mode 100755 extras/ganesha/scripts/generate-epoch.py
a3470f
 create mode 100755 extras/hook-scripts/start/post/S31ganesha-start.sh
a3470f
a3470f
diff --git a/configure.ac b/configure.ac
a3470f
index dfccd40..c8e6e44 100644
a3470f
--- a/configure.ac
a3470f
+++ b/configure.ac
a3470f
@@ -207,6 +207,9 @@ AC_CONFIG_FILES([Makefile
a3470f
                 extras/init.d/glustereventsd-Debian
a3470f
                 extras/init.d/glustereventsd-Redhat
a3470f
                 extras/init.d/glustereventsd-FreeBSD
a3470f
+                extras/ganesha/Makefile
a3470f
+                extras/ganesha/config/Makefile
a3470f
+                extras/ganesha/scripts/Makefile
a3470f
                 extras/systemd/Makefile
a3470f
                 extras/systemd/glusterd.service
a3470f
                 extras/systemd/glustereventsd.service
a3470f
diff --git a/extras/Makefile.am b/extras/Makefile.am
a3470f
index 6863772..2812a4c 100644
a3470f
--- a/extras/Makefile.am
a3470f
+++ b/extras/Makefile.am
a3470f
@@ -8,7 +8,7 @@ EditorModedir = $(docdir)
a3470f
 EditorMode_DATA = glusterfs-mode.el glusterfs.vim
a3470f
 
a3470f
 SUBDIRS = init.d systemd benchmarking hook-scripts $(OCF_SUBDIR) LinuxRPM \
a3470f
-          $(GEOREP_EXTRAS_SUBDIR) snap_scheduler firewalld cliutils
a3470f
+          $(GEOREP_EXTRAS_SUBDIR) ganesha snap_scheduler firewalld cliutils
a3470f
 
a3470f
 confdir = $(sysconfdir)/glusterfs
a3470f
 conf_DATA = glusterfs-logrotate gluster-rsyslog-7.2.conf gluster-rsyslog-5.8.conf \
a3470f
diff --git a/extras/ganesha/Makefile.am b/extras/ganesha/Makefile.am
a3470f
new file mode 100644
a3470f
index 0000000..542de68
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/Makefile.am
a3470f
@@ -0,0 +1,2 @@
a3470f
+SUBDIRS = scripts config
a3470f
+CLEANFILES =
a3470f
diff --git a/extras/ganesha/config/Makefile.am b/extras/ganesha/config/Makefile.am
a3470f
new file mode 100644
a3470f
index 0000000..c729273
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/config/Makefile.am
a3470f
@@ -0,0 +1,4 @@
a3470f
+EXTRA_DIST= ganesha-ha.conf.sample
a3470f
+
a3470f
+confdir = $(sysconfdir)/ganesha
a3470f
+conf_DATA = ganesha-ha.conf.sample
a3470f
diff --git a/extras/ganesha/config/ganesha-ha.conf.sample b/extras/ganesha/config/ganesha-ha.conf.sample
a3470f
new file mode 100644
a3470f
index 0000000..c22892b
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/config/ganesha-ha.conf.sample
a3470f
@@ -0,0 +1,19 @@
a3470f
+# Name of the HA cluster created.
a3470f
+# must be unique within the subnet
a3470f
+HA_NAME="ganesha-ha-360"
a3470f
+#
a3470f
+# N.B. you may use short names or long names; you may not use IP addrs.
a3470f
+# Once you select one, stay with it as it will be mildly unpleasant to
a3470f
+# clean up if you switch later on. Ensure that all names - short and/or
a3470f
+# long - are in DNS or /etc/hosts on all machines in the cluster.
a3470f
+#
a3470f
+# The subset of nodes of the Gluster Trusted Pool that form the ganesha
a3470f
+# HA cluster. Hostname is specified.
a3470f
+HA_CLUSTER_NODES="server1,server2,..."
a3470f
+#HA_CLUSTER_NODES="server1.lab.redhat.com,server2.lab.redhat.com,..."
a3470f
+#
a3470f
+# Virtual IPs for each of the nodes specified above.
a3470f
+VIP_server1="10.0.2.1"
a3470f
+VIP_server2="10.0.2.2"
a3470f
+#VIP_server1_lab_redhat_com="10.0.2.1"
a3470f
+#VIP_server2_lab_redhat_com="10.0.2.2"
a3470f
diff --git a/extras/ganesha/scripts/Makefile.am b/extras/ganesha/scripts/Makefile.am
a3470f
new file mode 100644
a3470f
index 0000000..9ee8867
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/scripts/Makefile.am
a3470f
@@ -0,0 +1,4 @@
a3470f
+EXTRA_DIST= create-export-ganesha.sh generate-epoch.py dbus-send.sh
a3470f
+
a3470f
+scriptsdir = $(libexecdir)/ganesha
a3470f
+scripts_SCRIPTS = create-export-ganesha.sh generate-epoch.py
a3470f
diff --git a/extras/ganesha/scripts/create-export-ganesha.sh b/extras/ganesha/scripts/create-export-ganesha.sh
a3470f
new file mode 100755
a3470f
index 0000000..1ffba42
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/scripts/create-export-ganesha.sh
a3470f
@@ -0,0 +1,91 @@
a3470f
+#!/bin/bash
a3470f
+
a3470f
+#This script is called by glusterd when the user
a3470f
+#tries to export a volume via NFS-Ganesha.
a3470f
+#An export file specific to a volume
a3470f
+#is created in GANESHA_DIR/exports.
a3470f
+
a3470f
+# Try loading the config from any of the distro
a3470f
+# specific configuration locations
a3470f
+if [ -f /etc/sysconfig/ganesha ]
a3470f
+        then
a3470f
+        . /etc/sysconfig/ganesha
a3470f
+fi
a3470f
+if [ -f /etc/conf.d/ganesha ]
a3470f
+        then
a3470f
+        . /etc/conf.d/ganesha
a3470f
+fi
a3470f
+if [ -f /etc/default/ganesha ]
a3470f
+        then
a3470f
+        . /etc/default/ganesha
a3470f
+fi
a3470f
+
a3470f
+GANESHA_DIR=${1%/}
a3470f
+OPTION=$2
a3470f
+VOL=$3
a3470f
+CONF=$GANESHA_DIR"/ganesha.conf"
a3470f
+declare -i EXPORT_ID
a3470f
+
a3470f
+function check_cmd_status()
a3470f
+{
a3470f
+        if [ "$1" != "0" ]
a3470f
+                 then
a3470f
+                 rm -rf $GANESHA_DIR/exports/export.$VOL.conf
a3470f
+                 sed -i /$VOL.conf/d $CONF
a3470f
+                 exit 1
a3470f
+        fi
a3470f
+}
a3470f
+
a3470f
+
a3470f
+if [ ! -d "$GANESHA_DIR/exports" ];
a3470f
+        then
a3470f
+        mkdir $GANESHA_DIR/exports
a3470f
+        check_cmd_status `echo $?`
a3470f
+fi
a3470f
+
a3470f
+function write_conf()
a3470f
+{
a3470f
+echo -e "# WARNING : Using Gluster CLI will overwrite manual
a3470f
+# changes made to this file. To avoid it, edit the
a3470f
+# file and run ganesha-ha.sh --refresh-config."
a3470f
+
a3470f
+echo "EXPORT{"
a3470f
+echo "      Export_Id = 2;"
a3470f
+echo "      Path = \"/$VOL\";"
a3470f
+echo "      FSAL {"
a3470f
+echo "           name = "GLUSTER";"
a3470f
+echo "           hostname=\"localhost\";"
a3470f
+echo  "          volume=\"$VOL\";"
a3470f
+echo "           }"
a3470f
+echo "      Access_type = RW;"
a3470f
+echo "      Disable_ACL = true;"
a3470f
+echo '      Squash="No_root_squash";'
a3470f
+echo "      Pseudo=\"/$VOL\";"
a3470f
+echo '      Protocols = "3", "4" ;'
a3470f
+echo '      Transports = "UDP","TCP";'
a3470f
+echo '      SecType = "sys";'
a3470f
+echo "     }"
a3470f
+}
a3470f
+if [ "$OPTION" = "on" ];
a3470f
+then
a3470f
+        if ! (cat $CONF | grep  $VOL.conf\"$ )
a3470f
+        then
a3470f
+                write_conf $@ > $GANESHA_DIR/exports/export.$VOL.conf
a3470f
+                echo "%include \"$GANESHA_DIR/exports/export.$VOL.conf\"" >> $CONF
a3470f
+                count=`ls -l $GANESHA_DIR/exports/*.conf | wc -l`
a3470f
+                if [ "$count" = "1" ] ; then
a3470f
+                        EXPORT_ID=2
a3470f
+                else
a3470f
+                        EXPORT_ID=`cat $GANESHA_DIR/.export_added`
a3470f
+                        check_cmd_status `echo $?`
a3470f
+                        EXPORT_ID=EXPORT_ID+1
a3470f
+                        sed -i s/Export_Id.*/"Export_Id= $EXPORT_ID ;"/ \
a3470f
+                        $GANESHA_DIR/exports/export.$VOL.conf
a3470f
+                        check_cmd_status `echo $?`
a3470f
+                fi
a3470f
+                echo $EXPORT_ID > $GANESHA_DIR/.export_added
a3470f
+        fi
a3470f
+else
a3470f
+        rm -rf $GANESHA_DIR/exports/export.$VOL.conf
a3470f
+        sed -i /$VOL.conf/d $CONF
a3470f
+fi
a3470f
diff --git a/extras/ganesha/scripts/dbus-send.sh b/extras/ganesha/scripts/dbus-send.sh
a3470f
new file mode 100755
a3470f
index 0000000..c071d03
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/scripts/dbus-send.sh
a3470f
@@ -0,0 +1,61 @@
a3470f
+#!/bin/bash
a3470f
+
a3470f
+# Try loading the config from any of the distro
a3470f
+# specific configuration locations
a3470f
+if [ -f /etc/sysconfig/ganesha ]
a3470f
+        then
a3470f
+        . /etc/sysconfig/ganesha
a3470f
+fi
a3470f
+if [ -f /etc/conf.d/ganesha ]
a3470f
+        then
a3470f
+        . /etc/conf.d/ganesha
a3470f
+fi
a3470f
+if [ -f /etc/default/ganesha ]
a3470f
+        then
a3470f
+        . /etc/default/ganesha
a3470f
+fi
a3470f
+
a3470f
+GANESHA_DIR=${1%/}
a3470f
+OPTION=$2
a3470f
+VOL=$3
a3470f
+CONF=$GANESHA_DIR"/ganesha.conf"
a3470f
+
a3470f
+function check_cmd_status()
a3470f
+{
a3470f
+        if [ "$1" != "0" ]
a3470f
+        then
a3470f
+                logger "dynamic export failed on node :${hostname -s}"
a3470f
+        fi
a3470f
+}
a3470f
+
a3470f
+#This function keeps track of export IDs and increments it with every new entry
a3470f
+function dynamic_export_add()
a3470f
+{
a3470f
+        dbus-send  --system \
a3470f
+--dest=org.ganesha.nfsd  /org/ganesha/nfsd/ExportMgr \
a3470f
+org.ganesha.nfsd.exportmgr.AddExport  string:$GANESHA_DIR/exports/export.$VOL.conf \
a3470f
+string:"EXPORT(Path=/$VOL)"
a3470f
+        check_cmd_status `echo $?`
a3470f
+}
a3470f
+
a3470f
+#This function removes an export dynamically(uses the export_id of the export)
a3470f
+function dynamic_export_remove()
a3470f
+{
a3470f
+        removed_id=`cat $GANESHA_DIR/exports/export.$VOL.conf |\
a3470f
+grep Export_Id | awk -F"[=,;]" '{print$2}'| tr -d '[[:space:]]'`
a3470f
+        dbus-send --print-reply --system \
a3470f
+--dest=org.ganesha.nfsd /org/ganesha/nfsd/ExportMgr \
a3470f
+org.ganesha.nfsd.exportmgr.RemoveExport uint16:$removed_id
a3470f
+        check_cmd_status `echo $?`
a3470f
+}
a3470f
+
a3470f
+if [ "$OPTION" = "on" ];
a3470f
+then
a3470f
+        dynamic_export_add $@
a3470f
+fi
a3470f
+
a3470f
+if [ "$OPTION" = "off" ];
a3470f
+then
a3470f
+        dynamic_export_remove $@
a3470f
+fi
a3470f
+
a3470f
diff --git a/extras/ganesha/scripts/generate-epoch.py b/extras/ganesha/scripts/generate-epoch.py
a3470f
new file mode 100755
a3470f
index 0000000..5db5e56
a3470f
--- /dev/null
a3470f
+++ b/extras/ganesha/scripts/generate-epoch.py
a3470f
@@ -0,0 +1,48 @@
a3470f
+#!/usr/bin/python
a3470f
+#
a3470f
+# Copyright (c) 2016 Red Hat, Inc. <http://www.redhat.com>
a3470f
+# This file is part of GlusterFS.
a3470f
+#
a3470f
+# This file is licensed to you under your choice of the GNU Lesser
a3470f
+# General Public License, version 3 or any later version (LGPLv3 or
a3470f
+# later), or the GNU General Public License, version 2 (GPLv2), in all
a3470f
+# cases as published by the Free Software Foundation.
a3470f
+#
a3470f
+# Generates unique epoch value on each gluster node to be used by
a3470f
+# nfs-ganesha service on that node.
a3470f
+#
a3470f
+# Configure 'EPOCH_EXEC' option to this script path in
a3470f
+# '/etc/sysconfig/ganesha' file used by nfs-ganesha service.
a3470f
+#
a3470f
+# Construct epoch as follows -
a3470f
+#        first 32-bit contains the now() time
a3470f
+#        rest 32-bit value contains the local glusterd node uuid
a3470f
+
a3470f
+import time
a3470f
+import binascii
a3470f
+
a3470f
+# Calculate the now() time into a 64-bit integer value
a3470f
+def epoch_now():
a3470f
+        epoch_time = int(time.mktime(time.localtime())) << 32
a3470f
+        return epoch_time
a3470f
+
a3470f
+# Read glusterd UUID and extract first 32-bit of it
a3470f
+def epoch_uuid():
a3470f
+        file_name = '/var/lib/glusterd/glusterd.info'
a3470f
+
a3470f
+        for line in open(file_name):
a3470f
+                if "UUID" in line:
a3470f
+                        glusterd_uuid = line.split('=')[1].strip()
a3470f
+
a3470f
+        uuid_bin = binascii.unhexlify(glusterd_uuid.replace("-",""))
a3470f
+
a3470f
+        epoch_uuid = int(uuid_bin.encode('hex'), 32) & 0xFFFF0000
a3470f
+        return epoch_uuid
a3470f
+
a3470f
+# Construct epoch as follows -
a3470f
+#        first 32-bit contains the now() time
a3470f
+#        rest 32-bit value contains the local glusterd node uuid
a3470f
+epoch = (epoch_now() | epoch_uuid())
a3470f
+print str(epoch)
a3470f
+
a3470f
+exit(0)
a3470f
diff --git a/extras/hook-scripts/start/post/Makefile.am b/extras/hook-scripts/start/post/Makefile.am
a3470f
index 384a582..03bb300 100644
a3470f
--- a/extras/hook-scripts/start/post/Makefile.am
a3470f
+++ b/extras/hook-scripts/start/post/Makefile.am
a3470f
@@ -1,4 +1,4 @@
a3470f
-EXTRA_DIST = S29CTDBsetup.sh S30samba-start.sh
a3470f
+EXTRA_DIST = S29CTDBsetup.sh S30samba-start.sh S31ganesha-start.sh
a3470f
 
a3470f
 hookdir = $(GLUSTERD_WORKDIR)/hooks/1/start/post/
a3470f
 hook_SCRIPTS = $(EXTRA_DIST)
a3470f
diff --git a/extras/hook-scripts/start/post/S31ganesha-start.sh b/extras/hook-scripts/start/post/S31ganesha-start.sh
a3470f
new file mode 100755
a3470f
index 0000000..90ba6bc
a3470f
--- /dev/null
a3470f
+++ b/extras/hook-scripts/start/post/S31ganesha-start.sh
a3470f
@@ -0,0 +1,122 @@
a3470f
+#!/bin/bash
a3470f
+PROGNAME="Sganesha-start"
a3470f
+OPTSPEC="volname:,gd-workdir:"
a3470f
+VOL=
a3470f
+declare -i EXPORT_ID
a3470f
+ganesha_key="ganesha.enable"
a3470f
+GANESHA_DIR="/var/run/gluster/shared_storage/nfs-ganesha"
a3470f
+CONF1="$GANESHA_DIR/ganesha.conf"
a3470f
+GLUSTERD_WORKDIR=
a3470f
+
a3470f
+function parse_args ()
a3470f
+{
a3470f
+        ARGS=$(getopt -l $OPTSPEC  -o "o" -name $PROGNAME $@)
a3470f
+        eval set -- "$ARGS"
a3470f
+
a3470f
+        while true; do
a3470f
+            case $1 in
a3470f
+                --volname)
a3470f
+                    shift
a3470f
+                    VOL=$1
a3470f
+                    ;;
a3470f
+                --gd-workdir)
a3470f
+                    shift
a3470f
+                    GLUSTERD_WORKDIR=$1
a3470f
+                    ;;
a3470f
+                *)
a3470f
+                    shift
a3470f
+                    break
a3470f
+                    ;;
a3470f
+            esac
a3470f
+            shift
a3470f
+        done
a3470f
+}
a3470f
+
a3470f
+
a3470f
+
a3470f
+#This function generates a new export entry as export.volume_name.conf
a3470f
+function write_conf()
a3470f
+{
a3470f
+echo -e "# WARNING : Using Gluster CLI will overwrite manual
a3470f
+# changes made to this file. To avoid it, edit the
a3470f
+# file, copy it over to all the NFS-Ganesha nodes
a3470f
+# and run ganesha-ha.sh --refresh-config."
a3470f
+
a3470f
+echo "EXPORT{"
a3470f
+echo "      Export_Id = 2;"
a3470f
+echo "      Path = \"/$VOL\";"
a3470f
+echo "      FSAL {"
a3470f
+echo "           name = \"GLUSTER\";"
a3470f
+echo "           hostname=\"localhost\";"
a3470f
+echo "           volume=\"$VOL\";"
a3470f
+echo "           }"
a3470f
+echo "      Access_type = RW;"
a3470f
+echo "      Disable_ACL = true;"
a3470f
+echo "      Squash=\"No_root_squash\";"
a3470f
+echo "      Pseudo=\"/$VOL\";"
a3470f
+echo "      Protocols = \"3\", \"4\" ;"
a3470f
+echo "      Transports = \"UDP\",\"TCP\";"
a3470f
+echo "      SecType = \"sys\";"
a3470f
+echo "}"
a3470f
+}
a3470f
+
a3470f
+#It adds the export dynamically by sending dbus signals
a3470f
+function export_add()
a3470f
+{
a3470f
+        dbus-send --print-reply --system --dest=org.ganesha.nfsd \
a3470f
+/org/ganesha/nfsd/ExportMgr org.ganesha.nfsd.exportmgr.AddExport \
a3470f
+string:$GANESHA_DIR/exports/export.$VOL.conf string:"EXPORT(Export_Id=$EXPORT_ID)"
a3470f
+
a3470f
+}
a3470f
+
a3470f
+# based on src/scripts/ganeshactl/Ganesha/export_mgr.py
a3470f
+function is_exported()
a3470f
+{
a3470f
+        local volume="${1}"
a3470f
+
a3470f
+        dbus-send --type=method_call --print-reply --system \
a3470f
+                  --dest=org.ganesha.nfsd /org/ganesha/nfsd/ExportMgr \
a3470f
+                  org.ganesha.nfsd.exportmgr.ShowExports \
a3470f
+            | grep -w -q "/${volume}"
a3470f
+
a3470f
+        return $?
a3470f
+}
a3470f
+
a3470f
+# Check the info file (contains the volume options) to see if Ganesha is
a3470f
+# enabled for this volume.
a3470f
+function ganesha_enabled()
a3470f
+{
a3470f
+        local volume="${1}"
a3470f
+        local info_file="${GLUSTERD_WORKDIR}/vols/${VOL}/info"
a3470f
+        local enabled="off"
a3470f
+
a3470f
+        enabled=$(grep -w ${ganesha_key} ${info_file} | cut -d"=" -f2)
a3470f
+
a3470f
+        [ "${enabled}" == "on" ]
a3470f
+
a3470f
+        return $?
a3470f
+}
a3470f
+
a3470f
+parse_args $@
a3470f
+
a3470f
+if ganesha_enabled ${VOL} && ! is_exported ${VOL}
a3470f
+then
a3470f
+        if [ ! -e ${GANESHA_DIR}/exports/export.${VOL}.conf ]
a3470f
+        then
a3470f
+                #Remove export entry from nfs-ganesha.conf
a3470f
+                sed -i /$VOL.conf/d  $CONF1
a3470f
+                write_conf ${VOL} > ${GANESHA_DIR}/exports/export.${VOL}.conf
a3470f
+                EXPORT_ID=`cat $GANESHA_DIR/.export_added`
a3470f
+                EXPORT_ID=EXPORT_ID+1
a3470f
+                echo $EXPORT_ID > $GANESHA_DIR/.export_added
a3470f
+                sed -i s/Export_Id.*/"Export_Id=$EXPORT_ID;"/ \
a3470f
+                        $GANESHA_DIR/exports/export.$VOL.conf
a3470f
+                echo "%include \"$GANESHA_DIR/exports/export.$VOL.conf\"" >> $CONF1
a3470f
+        else
a3470f
+                EXPORT_ID=$(grep ^[[:space:]]*Export_Id $GANESHA_DIR/exports/export.$VOL.conf |\
a3470f
+                          awk -F"[=,;]" '{print $2}' | tr -d '[[:space:]]')
a3470f
+        fi
a3470f
+        export_add $VOL
a3470f
+fi
a3470f
+
a3470f
+exit 0
a3470f
diff --git a/glusterfs.spec.in b/glusterfs.spec.in
a3470f
index 10339fe..6e710e5 100644
a3470f
--- a/glusterfs.spec.in
a3470f
+++ b/glusterfs.spec.in
a3470f
@@ -262,7 +262,6 @@ Obsoletes:        hekafs
a3470f
 Obsoletes:        %{name}-common < %{version}-%{release}
a3470f
 Obsoletes:        %{name}-core < %{version}-%{release}
a3470f
 Obsoletes:        %{name}-ufo
a3470f
-Obsoletes:        %{name}-ganesha
a3470f
 Provides:         %{name}-common = %{version}-%{release}
a3470f
 Provides:         %{name}-core = %{version}-%{release}
a3470f
 
a3470f
@@ -1275,6 +1274,9 @@ exit 0
a3470f
 
a3470f
 %if ( 0%{?_build_server} )
a3470f
 %files ganesha
a3470f
+%{_sysconfdir}/ganesha/*
a3470f
+%{_libexecdir}/ganesha/*
a3470f
+%{_sharedstatedir}/glusterd/hooks/1/start/post/S31ganesha-start.sh
a3470f
 %endif
a3470f
 
a3470f
 %if ( 0%{?_build_server} )
a3470f
@@ -2121,6 +2123,9 @@ fi
a3470f
 
a3470f
 %changelog
a3470f
 * Mon Nov 13 2017 Jiffin Tony Thottan <jthottan@redhat.com>
a3470f
+- Adding ganesha bits back in gluster repository #1499784
a3470f
+
a3470f
+* Mon Nov 13 2017 Jiffin Tony Thottan <jthottan@redhat.com>
a3470f
 - DOWNSTREAM ONLY - revert of 83abcb(gnfs in an optional subpackage)
a3470f
 
a3470f
 * Tue Oct 10 2017 Milind Changire <mchangir@redhat.com>
a3470f
@@ -2178,9 +2183,6 @@ fi
a3470f
 * Thu Feb 16 2017 Niels de Vos <ndevos@redhat.com>
a3470f
 - Obsolete and Provide python-gluster for upgrading from glusterfs < 3.10
a3470f
 
a3470f
-* Tue Feb 7 2017 Kaleb S. KEITHLEY <kkeithle@redhat.com>
a3470f
-- remove ganesha (#1418417)
a3470f
-
a3470f
 * Wed Feb 1 2017 Poornima G <pgurusid@redhat.com>
a3470f
 - Install /var/lib/glusterd/groups/metadata-cache by default
a3470f
 
a3470f
-- 
a3470f
1.8.3.1
a3470f